git » repo-mgmt.git » commit 77b94f3

an another one

author Urja (ARMLFS builder)
2024-06-23 13:17:02 UTC
committer Urja (ARMLFS builder)
2024-06-23 13:17:02 UTC
parent c49de9e6173fb767e1bddec73c156387d95cd270

an another one

clone-gits.sh +2 -3

diff --git a/clone-gits.sh b/clone-gits.sh
index 20fee2a..537cf13 100755
--- a/clone-gits.sh
+++ b/clone-gits.sh
@@ -15,9 +15,8 @@ done
 repo_gits() {
 	for dir in $(cat order | cut -d ' ' -f 1 | sort | uniq); do
 		echo $1 $dir
-		if [ -e "$dir" ]; then
-			continue
-		fi
+		[ -e "$dir" ] && continue || true
+		[ -L "$dir" ] && continue || true
 		#exit 1
 		git clone $URL/$1-pkgbuilds/$dir.git
 		chown -R builder:builder $dir